GET /analyses/{analysis-id}

lgtm.com

Summary: Get analysis summary
Operation ID: getAnalysis
Auth: unknown
Description

Get a summary of the analysis results for a specific analysis identifier. To find the analysis identifier for a commit, use the `/analyses/{project-id}/commits/{commit-id}` endpoint. For more information, see [Get analysis summary for a specific commit](https://lgtm.com/help/lgtm/api/api-v1#opIdgetAnalysisForCommit). This endpoint reports the commit analyzed and a summary of the results for each language. Alternatively, you can use this identifier to download full details of all the alerts found by the analysis. For more information, see [Get detailed alert information](https://lgtm.com/help/lgtm/api/api-v1#opIdgetAlerts).

Parameters (1)

analysis-id (string, path, required)

The analysis identifier.

Constraints: {'minLength': 40, 'maxLength': 40, 'pattern': '[a-f0-9]+'}

No probe data for this endpoint yet.